module CTanksVariables
    implicit none    
    public   
    Type :: TankType
        ! Input vars
        real(8) :: WaterRate
        real(8) :: CementTankVolume
        real(8) :: CementTankDensity
        real(8) :: TripTankVolume
        real(8) :: TripTankDensity
        logical :: ManualPumpPower
        logical :: Valve1
        logical :: Valve2
        logical :: Valve3
        logical :: Valve4
        logical :: Valve5
        
        logical :: Valve6
        logical :: Valve7
        logical :: Valve8
        logical :: Valve9
        logical :: Valve10
        logical :: Valve11
    End Type TankType

    contains 
    
    
end module CTanksVariables